# rustici-software-cloud-v2
REST API used for SCORM Cloud integrations.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.0 beta
- Package version: 1.0.1-beta
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import rustici_software_cloud_v2 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import rustici_software_cloud_v2
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import rustici_software_cloud_v2
from rustici_software_cloud_v2.rest import ApiException
from pprint import pprint

# Configure HTTP basic authorization: APP_NORMAL
configuration = rustici_software_cloud_v2.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'
# Configure OAuth2 access token for authorization: OAUTH
configuration = rustici_software_cloud_v2.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = rustici_software_cloud_v2.ApplicationManagementApi(rustici_software_cloud_v2.ApiClient(configuration))
application_name = 'application_name_example' # str | 

try:
    # Create a new application
    api_response = api_instance.create_application(application_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationManagementApi->create_application: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://cloud.scorm.com/api/v2/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApplicationManagementApi* | [**create_application**](docs/ApplicationManagementApi.md#create_application) | **PUT** /appManagement/applications/{applicationName} | Create a new application
*ApplicationManagementApi* | [**create_credential**](docs/ApplicationManagementApi.md#create_credential) | **POST** /appManagement/{childAppId}/credentials | Create credential
*ApplicationManagementApi* | [**create_token**](docs/ApplicationManagementApi.md#create_token) | **POST** /appManagement/token | Create token
*ApplicationManagementApi* | [**delete_application**](docs/ApplicationManagementApi.md#delete_application) | **DELETE** /appManagement/applications/{childAppId} | Delete an application.  If the application contains content, it must first be manually removed before calling this method, else an error will be thrown.
*ApplicationManagementApi* | [**delete_credential**](docs/ApplicationManagementApi.md#delete_credential) | **DELETE** /appManagement/{childAppId}/credentials/{credentialId} | Removes &#x60;credentialId&#x60; credentials
*ApplicationManagementApi* | [**get_application_configuration**](docs/ApplicationManagementApi.md#get_application_configuration) | **GET** /appManagement/configuration | Returns all configuration settings for this level
*ApplicationManagementApi* | [**get_application_list**](docs/ApplicationManagementApi.md#get_application_list) | **GET** /appManagement/applications | Get list of all applications in this realm.
*ApplicationManagementApi* | [**get_credentials**](docs/ApplicationManagementApi.md#get_credentials) | **GET** /appManagement/{childAppId}/credentials | List of credentials
*ApplicationManagementApi* | [**set_application_configuration**](docs/ApplicationManagementApi.md#set_application_configuration) | **POST** /appManagement/configuration | Set configuration settings for this level.
*ApplicationManagementApi* | [**update_credential**](docs/ApplicationManagementApi.md#update_credential) | **PUT** /appManagement/{childAppId}/credentials/{credentialId} | Update the name or status associated with &#x60;credentialId&#x60;
*AuthenticationApi* | [**get_app_token**](docs/AuthenticationApi.md#get_app_token) | **POST** /oauth/authenticate/application/token | Authenticates for a oauth token
*CourseApi* | [**build_course_preview_launch_link**](docs/CourseApi.md#build_course_preview_launch_link) | **POST** /courses/{courseId}/preview | Returns the launch link to use to preview this course
*CourseApi* | [**build_course_preview_launch_link_with_version**](docs/CourseApi.md#build_course_preview_launch_link_with_version) | **POST** /courses/{courseId}/versions/{versionId}/preview | Returns the link to use to preview this course
*CourseApi* | [**create_fetch_and_import_course_job**](docs/CourseApi.md#create_fetch_and_import_course_job) | **POST** /courses/importJobs | Start a job to fetch and import a course.
*CourseApi* | [**create_upload_and_import_course_job**](docs/CourseApi.md#create_upload_and_import_course_job) | **POST** /courses/importJobs/upload | Upload a course and start an import job for it.
*CourseApi* | [**delete_course**](docs/CourseApi.md#delete_course) | **DELETE** /courses/{courseId} | Delete &#x60;courseId&#x60;
*CourseApi* | [**delete_course_configuration_setting**](docs/CourseApi.md#delete_course_configuration_setting) | **DELETE** /courses/{courseId}/configuration/{settingId} | Clears the &#x60;settingId&#x60; value for this course
*CourseApi* | [**delete_course_tags**](docs/CourseApi.md#delete_course_tags) | **DELETE** /courses/{courseId}/tags | Delete tags for this course
*CourseApi* | [**delete_course_version**](docs/CourseApi.md#delete_course_version) | **DELETE** /courses/{courseId}/versions/{versionId} | Delete version &#x60;versionId&#x60; of &#x60;courseId&#x60;
*CourseApi* | [**delete_course_version_configuration_setting**](docs/CourseApi.md#delete_course_version_configuration_setting) | **DELETE** /courses/{courseId}/versions/{versionId}/configuration/{settingId} | Clears the &#x60;settingId&#x60; value for this course and version.
*CourseApi* | [**get_course**](docs/CourseApi.md#get_course) | **GET** /courses/{courseId} | Get information about &#x60;courseId&#x60;
*CourseApi* | [**get_course_configuration**](docs/CourseApi.md#get_course_configuration) | **GET** /courses/{courseId}/configuration | Returns all configuration settings for this course
*CourseApi* | [**get_course_statements**](docs/CourseApi.md#get_course_statements) | **GET** /courses/{courseId}/xAPIStatements | Get xAPI statements for &#x60;courseId&#x60;
*CourseApi* | [**get_course_tags**](docs/CourseApi.md#get_course_tags) | **GET** /courses/{courseId}/tags | Get the tags for this course
*CourseApi* | [**get_course_version_configuration**](docs/CourseApi.md#get_course_version_configuration) | **GET** /courses/{courseId}/versions/{versionId}/configuration | Returns all configuration settings for this course and version.
*CourseApi* | [**get_course_version_info**](docs/CourseApi.md#get_course_version_info) | **GET** /courses/{courseId}/versions/{versionId} | Get version &#x60;versionId&#x60; of &#x60;courseId&#x60;
*CourseApi* | [**get_course_version_statements**](docs/CourseApi.md#get_course_version_statements) | **GET** /courses/{courseId}/versions/{versionId}/xAPIStatements | Get xAPI statements for version &#x60;versionId&#x60; of &#x60;courseId&#x60;
*CourseApi* | [**get_course_versions**](docs/CourseApi.md#get_course_versions) | **GET** /courses/{courseId}/versions | Get all versions of &#x60;courseId&#x60;
*CourseApi* | [**get_courses**](docs/CourseApi.md#get_courses) | **GET** /courses | Get all courses for &#x60;appId&#x60;
*CourseApi* | [**get_import_job_status**](docs/CourseApi.md#get_import_job_status) | **GET** /courses/importJobs/{importJobId} | Check the status of an import job.
*CourseApi* | [**put_course_tags**](docs/CourseApi.md#put_course_tags) | **PUT** /courses/{courseId}/tags | Set the tags for this course
*CourseApi* | [**put_course_tags_batch**](docs/CourseApi.md#put_course_tags_batch) | **PUT** /courses/tags | Sets all of the provided tags on all of the provided courses
*CourseApi* | [**set_course_configuration**](docs/CourseApi.md#set_course_configuration) | **POST** /courses/{courseId}/configuration | Set configuration settings for this course.
*CourseApi* | [**set_course_title**](docs/CourseApi.md#set_course_title) | **PUT** /courses/{courseId}/title | Sets the course title for &#x60;courseId&#x60;
*CourseApi* | [**set_course_version_configuration**](docs/CourseApi.md#set_course_version_configuration) | **POST** /courses/{courseId}/versions/{versionId}/configuration | Set configuration settings for this course and version.
*PingApi* | [**ping_app_id**](docs/PingApi.md#ping_app_id) | **GET** /ping | Get back a message indicating that the API is working.
*RegistrationApi* | [**create_new_registration_instance**](docs/RegistrationApi.md#create_new_registration_instance) | **POST** /registrations/{registrationId}/instances | Create a new instance for this registration specified by the registration ID
*RegistrationApi* | [**create_registration**](docs/RegistrationApi.md#create_registration) | **POST** /registrations | Create a registration.
*RegistrationApi* | [**delete_registration**](docs/RegistrationApi.md#delete_registration) | **DELETE** /registrations/{registrationId} | Delete &#x60;registrationId&#x60;
*RegistrationApi* | [**delete_registration_configuration_setting**](docs/RegistrationApi.md#delete_registration_configuration_setting) | **DELETE** /registrations/{registrationId}/configuration/{settingId} | Clears the &#x60;settingId&#x60; value for this registration
*RegistrationApi* | [**delete_registration_instance_configuration_setting**](docs/RegistrationApi.md#delete_registration_instance_configuration_setting) | **DELETE** /registrations/{registrationId}/instances/{instanceId}/configuration/{settingId} | Clears the &#x60;settingId&#x60; value for this registration instance
*RegistrationApi* | [**delete_registration_progress**](docs/RegistrationApi.md#delete_registration_progress) | **DELETE** /registrations/{registrationId}/progress | Delete registration progress (clear registration)
*RegistrationApi* | [**delete_registration_tags**](docs/RegistrationApi.md#delete_registration_tags) | **DELETE** /registrations/{registrationId}/tags | Delete tags for this registration
*RegistrationApi* | [**delete_registrations_global_data**](docs/RegistrationApi.md#delete_registrations_global_data) | **DELETE** /registrations/{registrationId}/globalData | Delete global data associated with &#x60;registrationId&#x60;
*RegistrationApi* | [**get_registration_configuration**](docs/RegistrationApi.md#get_registration_configuration) | **GET** /registrations/{registrationId}/configuration | Returns all configuration settings for this registration
*RegistrationApi* | [**get_registration_instance_configuration**](docs/RegistrationApi.md#get_registration_instance_configuration) | **GET** /registrations/{registrationId}/instances/{instanceId}/configuration | Returns all configuration settings for this registration instance
*RegistrationApi* | [**get_registration_instance_launch_history**](docs/RegistrationApi.md#get_registration_instance_launch_history) | **GET** /registrations/{registrationId}/instances/{instanceId}/launchHistory | Returns history of this registration&#39;s launches
*RegistrationApi* | [**get_registration_instance_progress**](docs/RegistrationApi.md#get_registration_instance_progress) | **GET** /registrations/{registrationId}/instances/{instanceId} | Get registration progress for instance &#x60;instanceId&#x60; of &#x60;registrationId&#x60;
*RegistrationApi* | [**get_registration_instance_statements**](docs/RegistrationApi.md#get_registration_instance_statements) | **GET** /registrations/{registrationId}/instances/{instanceId}/xAPIStatements | Get xAPI statements for instance &#x60;instanceId&#x60; of &#x60;registrationId&#x60;
*RegistrationApi* | [**get_registration_instances**](docs/RegistrationApi.md#get_registration_instances) | **GET** /registrations/{registrationId}/instances | Get all the instances of this the registration specified by the registration ID
*RegistrationApi* | [**get_registration_launch_history**](docs/RegistrationApi.md#get_registration_launch_history) | **GET** /registrations/{registrationId}/launchHistory | Returns history of this registration&#39;s launches
*RegistrationApi* | [**get_registration_launch_link**](docs/RegistrationApi.md#get_registration_launch_link) | **POST** /registrations/{registrationId}/launchLink | Returns the link to use to launch this registration
*RegistrationApi* | [**get_registration_progress**](docs/RegistrationApi.md#get_registration_progress) | **GET** /registrations/{registrationId} | Get registration progress for &#x60;registrationId&#x60;
*RegistrationApi* | [**get_registration_statements**](docs/RegistrationApi.md#get_registration_statements) | **GET** /registrations/{registrationId}/xAPIStatements | Get xAPI statements for &#x60;registrationId&#x60;
*RegistrationApi* | [**get_registration_tags**](docs/RegistrationApi.md#get_registration_tags) | **GET** /registrations/{registrationId}/tags | Get the tags for this registration
*RegistrationApi* | [**get_registrations**](docs/RegistrationApi.md#get_registrations) | **GET** /registrations | Gets a list of registrations including a summary of the status of each registration.
*RegistrationApi* | [**put_registration_tags**](docs/RegistrationApi.md#put_registration_tags) | **PUT** /registrations/{registrationId}/tags | Set the tags for this registration
*RegistrationApi* | [**put_registration_tags_batch**](docs/RegistrationApi.md#put_registration_tags_batch) | **PUT** /registrations/tags | Sets all of the provided tags on all of the provided registrations
*RegistrationApi* | [**registration_exists**](docs/RegistrationApi.md#registration_exists) | **HEAD** /registrations/{registrationId} | Does this registration exist?
*RegistrationApi* | [**set_registration_configuration**](docs/RegistrationApi.md#set_registration_configuration) | **POST** /registrations/{registrationId}/configuration | Set configuration settings for this registration.
*RegistrationApi* | [**set_registration_instance_configuration**](docs/RegistrationApi.md#set_registration_instance_configuration) | **POST** /registrations/{registrationId}/instances/{instanceId}/configuration | Set configuration settings for this registration instance.


## Documentation For Models

 - [ActivityResultSchema](docs/ActivityResultSchema.md)
 - [ApplicationListSchema](docs/ApplicationListSchema.md)
 - [ApplicationSchema](docs/ApplicationSchema.md)
 - [ApplicationToken](docs/ApplicationToken.md)
 - [CommentSchema](docs/CommentSchema.md)
 - [CompletionAmountSchema](docs/CompletionAmountSchema.md)
 - [CourseActivitySchema](docs/CourseActivitySchema.md)
 - [CourseListNonPagedSchema](docs/CourseListNonPagedSchema.md)
 - [CourseListSchema](docs/CourseListSchema.md)
 - [CourseReferenceSchema](docs/CourseReferenceSchema.md)
 - [CourseSchema](docs/CourseSchema.md)
 - [CourseTagsBatchSchema](docs/CourseTagsBatchSchema.md)
 - [CreateRegistrationSchema](docs/CreateRegistrationSchema.md)
 - [CredentialCreatedSchema](docs/CredentialCreatedSchema.md)
 - [CredentialListSchema](docs/CredentialListSchema.md)
 - [CredentialRequestSchema](docs/CredentialRequestSchema.md)
 - [CredentialSchema](docs/CredentialSchema.md)
 - [ImportFetchRequestSchema](docs/ImportFetchRequestSchema.md)
 - [ImportJobResultSchema](docs/ImportJobResultSchema.md)
 - [ImportResultSchema](docs/ImportResultSchema.md)
 - [IntegerResultSchema](docs/IntegerResultSchema.md)
 - [ItemValuePairSchema](docs/ItemValuePairSchema.md)
 - [LaunchHistoryListSchema](docs/LaunchHistoryListSchema.md)
 - [LaunchHistorySchema](docs/LaunchHistorySchema.md)
 - [LaunchLinkRequestSchema](docs/LaunchLinkRequestSchema.md)
 - [LaunchLinkSchema](docs/LaunchLinkSchema.md)
 - [LearnerPreferenceSchema](docs/LearnerPreferenceSchema.md)
 - [LearnerSchema](docs/LearnerSchema.md)
 - [LinkSchema](docs/LinkSchema.md)
 - [MessageSchema](docs/MessageSchema.md)
 - [MetadataSchema](docs/MetadataSchema.md)
 - [ObjectiveSchema](docs/ObjectiveSchema.md)
 - [PermissionsSchema](docs/PermissionsSchema.md)
 - [PingSchema](docs/PingSchema.md)
 - [PostBackSchema](docs/PostBackSchema.md)
 - [RegistrationCompletion](docs/RegistrationCompletion.md)
 - [RegistrationListSchema](docs/RegistrationListSchema.md)
 - [RegistrationSchema](docs/RegistrationSchema.md)
 - [RegistrationSuccess](docs/RegistrationSuccess.md)
 - [RegistrationTagsBatchSchema](docs/RegistrationTagsBatchSchema.md)
 - [ResponseError](docs/ResponseError.md)
 - [RuntimeInteractionSchema](docs/RuntimeInteractionSchema.md)
 - [RuntimeObjectiveSchema](docs/RuntimeObjectiveSchema.md)
 - [RuntimeSchema](docs/RuntimeSchema.md)
 - [ScoreSchema](docs/ScoreSchema.md)
 - [SettingItem](docs/SettingItem.md)
 - [SettingListSchema](docs/SettingListSchema.md)
 - [SettingMetadata](docs/SettingMetadata.md)
 - [SettingValidValue](docs/SettingValidValue.md)
 - [SettingsIndividualSchema](docs/SettingsIndividualSchema.md)
 - [SettingsPostSchema](docs/SettingsPostSchema.md)
 - [SharedDataEntrySchema](docs/SharedDataEntrySchema.md)
 - [StaticPropertiesSchema](docs/StaticPropertiesSchema.md)
 - [StringResultSchema](docs/StringResultSchema.md)
 - [TagListSchema](docs/TagListSchema.md)
 - [TagPostSchema](docs/TagPostSchema.md)
 - [TitleSchema](docs/TitleSchema.md)
 - [TokenRequestSchema](docs/TokenRequestSchema.md)
 - [XapiAccount](docs/XapiAccount.md)
 - [XapiActivity](docs/XapiActivity.md)
 - [XapiActivityDefinition](docs/XapiActivityDefinition.md)
 - [XapiAgentGroup](docs/XapiAgentGroup.md)
 - [XapiAttachment](docs/XapiAttachment.md)
 - [XapiContext](docs/XapiContext.md)
 - [XapiContextActivity](docs/XapiContextActivity.md)
 - [XapiInteractionComponent](docs/XapiInteractionComponent.md)
 - [XapiResult](docs/XapiResult.md)
 - [XapiScore](docs/XapiScore.md)
 - [XapiStatement](docs/XapiStatement.md)
 - [XapiStatementReference](docs/XapiStatementReference.md)
 - [XapiStatementResult](docs/XapiStatementResult.md)
 - [XapiVerb](docs/XapiVerb.md)


## Documentation For Authorization


## APP_MANAGEMENT

- **Type**: HTTP basic authentication

## APP_NORMAL

- **Type**: HTTP basic authentication

## LAUNCH_TOKEN

- **Type**: API key
- **API key parameter name**: launchToken
- **Location**: URL query string

## OAUTH

- **Type**: OAuth
- **Flow**: application
- **Authorization URL**: 
- **Scopes**: 
 - **read**: Grants read access
 - **write**: Grants write access
 - **delete**: Grants deletion access
 - **admin**: Grants read, write, and account management access
 - **read:course**: Grants read access to course methods
 - **write:course**: Grants write access to course methods
 - **delete:course**: Grants deletion access to course methods
 - **read:dispatch**: Grants read access to dispatch methods
 - **write:dispatch**: Grants write access to dispatch methods
 - **delete:dispatch**: Grants deletion access to dispatch methods
 - **read:invitation**: Grants read access to invitation methods
 - **write:invitation**: Grants write access to invitation methods
 - **delete:invitation**: Grants deletion access to invitation methods
 - **read:ping**: Grants read access to the ping method
 - **read:registration**: Grants read access to registration methods
 - **write:registration**: Grants write access to registration methods
 - **delete:registration**: Grants deletion access to registration methods
 - **read:reporting**: Grants read access to reporting methods
 - **read:xapicredential**: Grants read access to xapi credential methods
 - **write:xapicredential**: Grants write access to xapi credential methods
 - **delete:xapicredential**: Grants deletion access to xapi credential methods
 - **read:xapipipe**: Grants read access to xapi pipe methods
 - **write:xapipipe**: Grants write access to xapi pipe methods
 - **delete:xapipipe**: Grants deletion access to xapi pipe methods
 - **read:appmgmt**: Grants read access to app management methods
 - **write:appmgmt**: Grants write access to app management methods
 - **delete:appmgmt**: Grants deletion access to app management methods

## URL_TOKEN

- **Type**: API key
- **API key parameter name**: authtoken
- **Location**: URL query string


## Author



